Subject: Re: [Simple] [Fwd: I-D ACTION:draft-schulzrinne-simple-iscomposing-00.txt]

From: Ben Campbell <[email-masked]>
Date: 06 Mar 2003 21:22:46 -0600

Hi Henning,

A couple of questions:

1) Even in the two-mode approach, do you think their would be a use for
an expiration of sorts? For example, if I send and active state, then
logoff prior to the idle state being sent, when can the recipient assume
that I am no longer composing?

2) I may have missed it, but I did not remember seeing any explanation
of what the content-type attribute in the xml schema means. I assume it
is a hint about what sort of content I might be composing. Is this
correct?

On Fri, 2003-02-28 at 07:58, Henning Schulzrinne wrote:
> From: [email-masked]
> Subject: I-D ACTION:draft-schulzrinne-simple-iscomposing-00.txt
> Date: 28 Feb 2003 07:24:24 -0500
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
> 	Title		: is-composing Indication for Instant Messaging Using 
>                           the Session Initiation Protocol (SIP)
> 	Author(s)	: H. Schulzrinne
> 	Filename	: draft-schulzrinne-simple-iscomposing-00.txt
> 	Pages		: 8
> 	Date		: 2003-2-27
> 	
> In instant messaging systems, it is useful to know that the other
> party is composing a message, e.g., typing. This document defines a
> new content type and XML namespace that conveys information about a
> message being composed. The message could be of any type, including
> text, voice or video
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-schulzrinne-simple-iscomposing-00.txt
> 
> To remove yourself from the IETF Announcement list, send a message to 
> ietf-announce-request with the word unsubscribe in the body of the message.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-schulzrinne-simple-iscomposing-00.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-schulzrinne-simple-iscomposing-00.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 07 Mar 2003 08:22:00 -0500

> that I am no longer composing?

I had kind of assumed that presence would indicate logging off, but 
that's probably not a good assumption. Maybe one solution is to have the 
sender specify a "soft state" timeout interval after which it commits to 
refresh the indication. I have no data to back this up, but I would 
guess that if you set this to 30 seconds for normal text chat, you'll 
almost never end up sending a second 'active' message. (I think the most 
common reason for long composing times is probably that people forget to 
press the Send button when they're done.)

> is a hint about what sort of content I might be composing. Is this

Yes; I'll clarify.